/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.repo.local;

import org.artifactory.descriptor.repo.RepoType;

import javax.annotation.Nonnull;

/**
 * @author saffih
 */
public interface IsLocalGenerated {
    /**
     * Is the file is generated by artifactory for local repository.
     * It should not be replicated (either generated or tmp).
     *
     * Initial implementation must be return false;
     * Then check the the failed Sanity test listing all replicated generated files
     * change the code to exclude only those file.
     * When in doubt - use that process and find what's actually generated (+ filter old obsolete files).
     *
     */
    boolean isLocalGenerated(@Nonnull RepoType repoType, @Nonnull String repoKey, @Nonnull String path);
}
