/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.repo.local;

import org.artifactory.repo.LocalRepo;

/**
 * Interface for classes that determine whether an artifact can be overridden from a local non-cache with no delete permissions
 *
 * @author Noam Y. Tenne
 */
public interface LocalNonCacheOverridable {

    /**
     * Indicates whether an artifact can be overridden from a local non-cache repo without delete permissions
     *
     * @param repo Local non-cache repo
     * @param path Path to check
     * @return True if the path can be overridden with no delete permissions
     */
    boolean isOverridable(LocalRepo repo, String path);
}
