/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.api.rest.distribution.bundle.utils;

import com.google.common.base.Splitter;

import java.util.List;

/**
 * @author Tomer Mayost
 */
public class BundleNameVersionResolver {
    private String bundleName;
    private String bundleVersion;

    public BundleNameVersionResolver(String transactionPath) {
        List<String> pathParts = getPathParts(transactionPath);
        if (pathParts.size() < 3){
            throw new IllegalArgumentException("Invalid transaction path");
        }
        bundleName = pathParts.get(1);
        bundleVersion = pathParts.get(2);
    }

    public String getBundleName() {
        return bundleName;
    }

    public String getBundleVersion() {
        return bundleVersion;
    }

    private List<String> getPathParts(String transactionPath) {
        return Splitter.on("/").splitToList(transactionPath);
    }

}