/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2018 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.artifactory.security.permissions;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.artifactory.security.PrincipalConfiguration;

import java.util.List;

/**
 * @author Yuval Reches
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RepoPermissionTargetModel extends BasePermissionTargetModel implements TypedPermissionTargetModel {

    private PrincipalConfiguration actions;

    @Builder
    private RepoPermissionTargetModel(List<String> includePatterns, List<String> excludePatterns,
            List<String> repositories, PrincipalConfiguration actions) {
        super(includePatterns, excludePatterns, repositories);
        this.actions = actions;
    }
}
